L1
Get L1 by subnetID
Get L1 by subnetID
Authorization
Authorization<token>Enter the Bearer token in the format: Bearer
In: header
Path Parameters
subnetIDRequiredstringSubnetID
curl -X GET "https://example.com/v1/api/subnets/<string>" \
-H "Authorization: <token>"OK
{
"adminThreshold": 0,
"admins": [
{
"alias": "string",
"evmAddress": "string"
}
],
"binaryInfo": {
"customAvaGoTag": "string",
"customGoVersion": "string",
"customSubnetEVMTag": "string"
},
"bundleID": "string",
"createdAt": 0,
"deployInfo": {
"avalancheSubnetID": "string",
"blockchainID": "string",
"customerValidators": [
{
"bLSPublicKey": "string",
"cluster": "string",
"ipAddress": "string",
"nodeID": "string",
"p2pPort": 0,
"proofOfPossession": "string",
"region": "string"
}
],
"dataDebugURLs": [
{
"activeSince": 0,
"cluster": "string",
"region": "string",
"url": "string"
}
],
"dedicatedAPIs": [
{
"activeSince": 0,
"cluster": "string",
"region": "string",
"url": "string"
}
],
"rpcURL": "string",
"validatorManager": {
"proxyAdminContractAddress": "string",
"proxyContractAddress": "string",
"validatorManagerAddress": "string"
},
"validators": [
{
"bLSPublicKey": "string",
"cluster": "string",
"ipAddress": "string",
"nodeID": "string",
"p2pPort": 0,
"proofOfPossession": "string",
"region": "string"
}
],
"vmID": "string",
"websocketURL": "string"
},
"deploymentError": "string",
"deploymentStatus": "Development",
"deploymentType": "",
"devnetExpiration": 0,
"devnetIndexKey": "string",
"devnetStartTime": 0,
"evmChainID": "string",
"foundationSigned": true,
"genesis": {
"airdrops": [
{
"address": "string",
"value": "string"
}
],
"chainID": 0,
"gasConfig": "string",
"precompiles": [
{
"addressAliases": {
"property1": "string",
"property2": "string"
},
"admins": [
"string"
],
"enabled": [
"string"
],
"name": "string",
"rewardManagerInitialRewardConfig": {
"allowFeeRecipients": true,
"rewardAddress": "string"
}
}
],
"symbol": "string",
"vmType": "string"
},
"id": "string",
"infraPlan": {
"customerValidators": "string",
"debugNodes": "string",
"dedicatedNodes": "string",
"plan": "string",
"rpcNodes": "string",
"validators": "string",
"wsNodes": "string"
},
"isRegisteredInBridgeApp": "Y",
"isRejected": true,
"metadata": {},
"metricsIngestionComplete": true,
"name": "string",
"network": "string",
"orgID": "string",
"planDetails": {
"customerValidators": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string"
}
],
"dedicatedNodes": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string",
"resources": {
"cpu": "string",
"memory": "string"
},
"size": "small"
}
],
"glacier": {
"debugNodes": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string",
"resources": {
"cpu": "string",
"memory": "string"
},
"size": "small"
}
],
"enableIndexing": true
},
"metricsIndexing": true,
"rpcNodes": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string",
"resources": {
"cpu": "string",
"memory": "string"
},
"size": "small"
}
],
"validators": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string"
}
],
"wsNodes": [
{
"cloudProvider": "aws",
"count": 0,
"region": "string",
"resources": {
"cpu": "string",
"memory": "string"
},
"size": "small"
}
]
},
"publicExplorer": {
"entryID": "string",
"url": "string"
},
"runningAvaGoVersion": "string",
"runningSubEVMVersion": "string",
"setupInteroperability": true,
"simulateInfra": true,
"submittedAt": 0,
"subscriptionID": "string",
"teleporterConfiguration": {
"awmRelayerID": "string",
"awmRelayerStatus": "Pending",
"messengerContractVersions": {
"property1": "string",
"property2": "string"
},
"registryContractAddress": "string"
},
"transformedName": "string",
"updatedAt": 0,
"vrf": {
"tos": 0
}
}